#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;

bool uporedi(unsigned int a, unsigned int b) 
{
	if (a > b) return true;
	return false;
}

void IspisiVektor(vector<unsigned int> vektor) 
{
	for (int i = 0; i < vektor.size();i++)
	{
		cout << vektor[i] << " ";
	}cout << endl;
}

int main()
{
	int brUnetih, brScenarija;
	cin >> brUnetih >> brScenarija;
	vector<unsigned int> unetiGlasovi;
	vector<unsigned int> scenariji;
	int tmp;
	for (int i = 0; i < brUnetih; i++) 
	{
		cin >> tmp;
		unetiGlasovi.push_back(tmp);
	}
	cin.clear();
	cin.ignore();
	for (int i = 0;i < brScenarija;i++) 
	{
		cin >> tmp;
		scenariji.push_back(tmp);
	}
	for (int i = 0; i < brScenarija;i++) 
	{
		bool postojiPotreban = false;
		vector<unsigned int> sortiranVektor = unetiGlasovi;
		int brDodatih = 0;
		
		for (int j = 0; j < brUnetih;j++) 
		{
			if (unetiGlasovi[j] == scenariji[i]) 
			{
				postojiPotreban = true;
				break;
			}
		}
		if (!postojiPotreban) 
		{
			sortiranVektor.push_back(scenariji[i]);
			brDodatih++;
		}
		sort(sortiranVektor.begin(), sortiranVektor.end());

		unsigned int medijana = (sortiranVektor.size() / (unsigned int)2);
		while (sortiranVektor[medijana] != scenariji[i]) 
		{
			if (medijana < scenariji[i]) 
			{
				sortiranVektor.push_back(sortiranVektor[sortiranVektor.size() - 1]);
			}
			else 
			{
				sortiranVektor.insert(sortiranVektor.begin(), sortiranVektor[0]);
			}
			medijana = (sortiranVektor.size() / (unsigned int)2);
			brDodatih++;
		}
		cout << brDodatih << endl;
	}
}